///////////////////////////////////////////////////////////
//  IGroupChangeSinkListener.cs
//  Implementation of the Interface IChangeSinkPublisher
//  Generated by Enterprise Architect
//  Created on:      18-May-2018 16:01:56
//  Original author: simon.mettrick
///////////////////////////////////////////////////////////

using System;
using System.Collections.Generic;



namespace Org.OMG.TACSIT.DataSink {
	/// <summary>
	/// Interface invoked as a callback when groups are created, modified or deleted.
	/// </summary>
	public interface IChangeSinkPublisher {

		/// <summary>
		/// Interface invoked as a callback when a bulk of group modification (includes add
		/// and remove entities as well as creation and deletion of entity relationships),
		/// creation and deletion happens .
		///      The implementation of this callback may return the exception StopListening
		/// as soon it wants to kill the listeners.
		/// </summary>
		event EventHandler<DataPayload.CallbackData.GroupChangeSinkEventList> EntityChanged;
	}//end IChangeSinkPublisher

}//end namespace DataSink